Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.sam
Class SAMStreamSession.SAMStreamSessionServer

    java.lang.Object
      net.i2p.sam.SAMStreamSession.SAMStreamSessionServer

All Implemented Interfaces:
  Runnable

Enclosing class:
  SAMStreamSession

    public class SAMStreamSession.SAMStreamSessionServer

extends Object
implements Runnable

SAM STREAM session server, running in its own thread. It will wait for incoming connections from the I2P network.

Author:
  human

Constructor Summary
`SAMStreamSession.SAMStreamSessionServer()` Create a new SAM STREAM session server

Method Summary
`void` | `run()`
`void` | `stopRunning()` Stop a SAM STREAM session server

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAMStreamSession.SAMStreamSessionServer

    public SAMStreamSession.SAMStreamSessionServer()

  Create a new SAM STREAM session server

Method Detail

### stopRunning

    public void stopRunning()

  Stop a SAM STREAM session server

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD